Foreman - Bug #19701

Ul first uses Network Name, then switches to Network ID
05/29/2017 02:04 PM - Daniel Lobato Garcia

Status: Closed

Priority: Normal

Assignee: Chris Roberts

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases:
Bugzilla link: 1456457 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6446
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1456457

Description of problem:

When creating a VM that uses the VMware compute resource, the Ul first lets you select the networks via the name that is seem in
VMware, however this is the last time you will see the friendly name, from that point on it starts using the network ID. This is a)
confusing and b) difficult to verify and its not easy to find what "network-91" is and that it is actually called "v5-Server-Management”

Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:

1. Create a new VM that uses the VMware compute resource

2. Edit the network interface and select the interface by name

3. Submit to create the host

4. Edit the host and go back to the interface, now its switched to using the network-id and not the name and to most admins it loosk
wrong

Actual results:
One the VM is created, its stops using the name and starts using the 1D

Expected results:
It should continue to use the friendly network name and not switch to the network ID

Additional info:

Associated revisions

Revision c3f0bab4 - 02/13/2019 12:05 PM - Ondfej Ezr

Fixes #19701 - use friendly vmware network name, not its id

History

#1 - 05/30/2017 03:13 AM - Dominic Cleal

- Category set to Compute resources - VMware

Is this the same as #6303, that the current network is not displayed? (It shows a default or something.)

#2 - 10/17/2017 03:25 AM - Chris Roberts

- Assignee set to Chris Roberts

#3 - 11/16/2017 06:33 PM - Chris Roberts
- Assignee deleted (Chris Roberts)
https://projects.theforeman.org/issues/6303

#4 - 01/15/2019 09:30 PM - Chris Roberts

- Assignee set to Chris Roberts

#5 - 01/31/2019 04:45 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6446 added

#6 - 02/13/2019 12:05 PM - Timo Goebel
- Fixed in Releases 1.22.0 added

#7 - 02/13/2019 01:01 PM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset c3f0bab4c93d9168513c698be572186d3d894547.
